function varargout=RiverInfo(varargin)
% RiverInfo  - Get informatiopn about a HYDROTREND 2.2 output file.

   file_name='river.in';
   if nargin==1
      file_name = varargin{1};
   end
   
   fid=fopen(file_name);
   if ( fid < 0 )
      error_str=sprintf('Can not open file %s',file_name);
      error(error_str);
   end
   
   
   commentBytes = fread(fid,1,'int');
   comment = fread(fid,commentBytes,'char');
   
   nGrains = fread(fid,1,'int');
   nSeasons = fread(fid,1,'int');
   nSamples = fread(fid,1,'int');
   
   nYears=nSamples/nSeasons;
   
   fclose(fid);
   
   if nargout > 0
      varargout{1}=nSeasons;
      if nargout > 1
         varargout{2}=nYears;
         if nargout > 2
            varargout{3}=nGrains;
         end
      end
   else
      fprintf(1,'File                  : %s\n',file_name);
      fprintf(1,'Number of seasons     : %d\n',nSeasons);
      fprintf(1,'Number of grain sizes : %d\n',nGrains);   
      fprintf(1,'Number of years       : %d\n',nYears);   
      fprintf(1,'Comment               : %s\n',comment);   
   end
   
